Summary: Disk based hash library
Name: dbh
Version: 1.0.22
Release: 3.fc4
URL: http://www.xfce.org/
Source0: http://www.us.xfce.org/archive/xfce-4.2.1/src/dbh-1.0.22.tar.gz
Patch: dbh-1.0.22-rpath.patch
Epoch: 1
License: LGPL
Group: System Environment/Libraries
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description 
Disk based hashes is a method to create multidimensional binary trees on disk.
This library permits the extension of database concept to a plethora of 
electronic data, such as graphic information. With the multidimensional binary 
tree it is possible to mathematically prove that access time to any 
particular record is minimized (using the concept of critical points from 
calculus), which provides the means to construct optimized databases for 
particular applications.

%package devel
Summary: Header files for disk based hash library
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}

%description devel
This package includes the static libraries and header files you will need
to compile applications for dbh.

%prep
%setup -q

%patch -p1 -b .rpath

%build
%configure --disable-rpath

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc examples/*.c examples/Makefile* doc/*.html
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 1:1.0.22-3.fc4
- lowercase Release

* Sat Mar 19 2005 Warren Togami <wtogami@redhat.com> - 1:1.0.22-2
- remove stuff

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 1:1.0.22-1
- Updated to 4.2.1 version
- Rediffed rpath patch for new version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 1:1.0.20-3
- Removed generic INSTALL doc

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 1:1.0.20-2
- Changed license to LGPL

* Wed Dec 08 2004 Than Ngo <than@redhat.com> 1:1.0.20-1
- update to 1.0.20

* Tue Sep 28 2004 Than Ngo <than@redhat.com> 1:1.0.18-5
- fix file conflicts

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 13 2004 Than Ngo <than@redhat.com> 1:1.0.18-3
- get rid of rpath

* Sun Apr 18 2004 Warren Togami <wtogami@redhat.com> 1:1.0.18-2
- #121140 explicit epoch in -devel dep

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 1:1.0.18-1
- update to 1.0.18

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 1.0.15-1
- initial build
